For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
      • Subscribing
      • Receiving
      • Event Delivery and Retry Logic
      • Persistent Failures and Disabling Logic
      • Idempotency and the X-Event-ID Header
      • Handling event order with X-Timestamp
      • Verifying
      • GETList all subscribable event types
      • GETList all secrets
      • POSTCreate/replace a secret
      • GETList all subscriptions
      • POSTCreate a subscription
      • GETRetrieve a subscription
      • POSTConfirm a subscription
      • DELDelete a subscription
      • PATCHUpdate a subscription
      • GETGet subscription events
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWebhooks

Create/replace a secret

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/hooks/secrets/
POST
/api/v1/hooks/secrets/
$curl -X POST https://api.prolific.com/api/v1/hooks/secrets/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "workspace_id": "63519c1d5b139662f8cde482"
>}'
1{
2 "id": "63722971f9cc073ecc730f6a",
3 "value": "cGNqFPb6y0RT3XO9XVSessBDYIbHQ-....",
4 "workspace_id": "63722982f9cc073ecc730f6b"
5}
Generate a secret for verifying the request signature header of the subscription payload. If a secret already exists, this call will delete the old secret and create a new one.
Was this page helpful?
Previous

List all secrets

Next

List all subscriptions

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
workspace_idstringOptional
The ID of the workspace you are creating the secret in

Response

Generated
idstring
The ID of the secret.
valuestring
The secret value.
workspace_idstring
The ID of the workspace that the secret belongs to.

Errors

4XX
Client Request Error